%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-assets
Version:        0.1.0
Release:        1%{?dist}
Summary:        Cache-friendly asset management via content-hash-naming

Group:          Development/Languages
License:        LGPLv3+
URL:            http://jderose.fedorapeople.org/assets/
Source0:        http://jderose.fedorapeople.org/assets/%{version}/assets-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel python-nose

%description
The assets package does content-hash-naming (aka URL fingerprinting) so you can
use aggressive caching headers without risking that a client might have an
out-of-date version of an asset in its cache.  If the content changes, the
content-hash-name also changes, resulting in a different URL for each
bytewise-unique version of an asset.

%prep
%setup -q -n assets-%{version}

%build
%{__python} setup.py build

%check
nosetests --with-doctest

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING COPYING.LESSER
%{python_sitelib}/assetslib/
%{python_sitelib}/assets-%{version}-py2.6.egg-info

%changelog
* Tue Sep 22 2009 Jason Gerard DeRose <jderose@redhat.com> - 0.1.0-1
- Initial package
